Name:           mga-srpm-compat-macros
Version:        1
Release:        1%{?dist}
Summary:        RPM macros from Mageia for spec compatibility
Group:		Development/Libraries
License:        WTFPL
BuildArch:	noarch

# %%mkrel macro
Source0:        macros.mga-mkrel
# %%mklibname macro
Source1:        macros.mga-mklibname

BuildRequires:  coreutils

%description
This package includes RPM macros from Mageia,
tweaked for compatibility with Red Hat/Fedora systems.

This is a compatibility package allowing for reuse of
package specs from Mageia/Mandriva with minimal changes.

%prep
# Nothing to prepare

%build
# Nothing to build

%install
install -m 644 -D "%{SOURCE0}" \
    '%{buildroot}%{_rpmconfigdir}/macros.d/macros.mga-mkrel'

install -m 644 -D "%{SOURCE1}" \
    '%{buildroot}%{_rpmconfigdir}/macros.d/macros.mga-mklibname'


%files
%{_rpmconfigdir}/macros.d/macros.mga-mkrel
%{_rpmconfigdir}/macros.d/macros.mga-mklibname


%changelog
* Sun Nov 15 2015 Neal Gompa <ngompa13{%}gmail{*}com> - 1-1
- Initial packaging
- Provides %%mkrel and %%mklibname
